#include <vector>
#include <math.h>
#include <iostream>
#include <conio.h>
#include "histogram.h"
#include "text.h"
#include "svg.h"
using namespace std;
struct Input {
    vector<double> numbers;
    size_t bin_count{};
};
Input
input_data(istream& in){
    size_t number_count;
    cerr << "Enter number count: ";
	in >> number_count;
	Input input;
	input.numbers.resize(number_count);
	cerr << "Enter numbers: ";
	for (size_t i = 0; i < number_count; i++){
		in >> input.numbers[i];
	}
	cerr << "Enter bin count: ";
	in >> input.bin_count;
	return input;
}
int main(){
	auto in = input_data(cin);
	auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
}
